Bug 460834 - (texmaker-firefox) When minimizing a firefox window using the dvi viewer in texmaker the pc crashes
When minimizing a firefox window using the dvi viewer in texmaker the pc crashes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xdvik (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 14:34 EDT by hernan
Modified: 2009-05-23 18:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-23 18:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.dvi file for which this happens in my pc (15.41 KB, application/x-dvi)
2008-09-10 19:11 EDT, hernan
no flags Details
this is the tex file that generates that dvi file (10.54 KB, application/x-tex)
2008-09-10 19:12 EDT, hernan
no flags Details

  None (edit)
Description hernan 2008-09-01 14:34:16 EDT
Description of problem:
Many times when I'm working on texmaker 1.3 and I'm also using firefox 3.0.1  my computer crashes completely. In particular, it happens when I'm checking  my work progress on the dvi viewer. If I have the dvi viewer and firefox open at the same time and try to minimize firefox then the computer crashes.  
 

Version-Release number of selected component (if applicable): Texmaker 1.3
Firefox 3.0.1.
Fedora 9


How reproducible:
Open a document in the dvi viewer in Texmaker. Open a website on firefox.
Then try to minimize firefox.
Repeat the process refreshing the dvi viewer in between.


Steps to Reproduce:
1. Open a document in the dvi viewer in Texmaker.
2. Open a website on firefox. (i.e. gmail)
3. Minimize firefox.
4. Repeat the process refreshing the dvi viewer in between.
  
Actual results:
Computer craches (does not work anymore) I have to restart.

Expected results:
Computer should perform the minimization task.


Additional info:
Comment 1 Deji Akingunola 2008-09-01 15:17:50 EDT
Are you sure you're running texmaker-1.3 on F-9? The latest texmaker on Fedora 9 is 1.7, please update to the latest release and report back.
Comment 2 hernan 2008-09-01 21:13:23 EDT
(In reply to comment #1)
> Are you sure you're running texmaker-1.3 on F-9? The latest texmaker on Fedora
> 9 is 1.7, please update to the latest release and report back.

I'm so sorry about that mistake. It is Tex maker 1.7.
Comment 3 Deji Akingunola 2008-09-03 23:32:29 EDT
I can't reproduce this issue with evince-2.23.91 (as the dvi viewer), firefox-3.0.1, and texmaker-1.7.1 . Which dvi viewer are you using?
Comment 4 hernan 2008-09-04 06:08:14 EDT
I'm using xdvik:22.84.14. Actually only by trying to zoom in de dvi document the pc crashes completely, it just happened.
Thanks for the help.
Comment 5 hernan 2008-09-04 06:21:17 EDT
The settings on texmaker were set under options/Configure texmaker/dvi viewer/
as xdg-open %.dvi

Now I switch them to evince %.dvi and it seems to be running smoothly on evince. That does not get rid of the bug in xdvik:22.84.14 but now I can work without going thru so much trouble.

Thank you again.
Comment 6 Deji Akingunola 2008-09-04 08:59:41 EDT
xdg-open is used in texmaker by default (instead of hard-coding specific applications), in order to provide a desktop agnostic way of opening these files.

I'm going to reassign this bug to xdvik, now that you've determine the issue lies there.
Comment 7 Jonathan Underwood 2008-09-04 17:41:02 EDT
I can't reproduce this at all. An application crashing should not take down the box. I suspect this is a window manager bug. Please can you describe your setup more precisely please - exact package versions, desktop, window manager etc.
Comment 8 hernan 2008-09-10 18:40:04 EDT
My configuration is:
Fedora 9
The GNOME Panel 2.22.2
The GNOME Desktop 2.22.3
This is what I know about my computer. If you tell me specifically (step by step) how to get more information I can do it. Otherwise this is all I know.

Again now I'm not using xdvik to avoid the problem.
Comment 9 Jonathan Underwood 2008-09-10 18:51:17 EDT
What is the output of the following commands run from a terminal:

rpm -qa | grep xdvik
rpm -qa | grep texlive
rpm -qa | grep gnome

Can you attach to the bug report a simple tex file for which you can reproduce this problem?

Thanks.
Comment 10 hernan 2008-09-10 19:02:51 EDT
[@localhost ~]$ rpm -qa | grep xdvik
xdvik-22.84.14-1.fc9.i386
[@localhost ~]$ rpm -qa | grep xdvik
xdvik-22.84.14-1.fc9.i386
[@localhost ~]$ rpm -qa | grep texlive
texlive-texmf-dvips-2007-22.fc9.noarch
texlive-2007-30.fc9.i386
texlive-texmf-2007-22.fc9.noarch
texlive-texmf-errata-fonts-2007-4.fc9.noarch
texlive-dviutils-2007-30.fc9.i386
texlive-texmf-errata-dvips-2007-4.fc9.noarch
texlive-texmf-errata-2007-4.fc9.noarch
texlive-texmf-errata-latex-2007-4.fc9.noarch
texlive-dvips-2007-30.fc9.i386
texlive-texmf-latex-2007-22.fc9.noarch
texlive-texmf-fonts-2007-22.fc9.noarch
texlive-utils-2007-30.fc9.i386
texlive-latex-2007-30.fc9.i386
[hmaldonado@localhost ~]$ rpm -qa | grep gnome
libgnome-2.22.0-3.fc9.i386
gnome-media-2.22.0-2.fc9.i386
gnome-python2-2.22.1-2.fc9.i386
gnome-theme-curvylooks-0.3-1.fc9.noarch
swfdec-gnome-2.22.0-1.fc9.i386
gnome-doc-utils-stylesheets-0.12.2-1.fc9.noarch
libgnomecanvas-2.20.1.1-2.fc9.i386
nodoka-theme-gnome-0.3.90-1.fc9.noarch
gnome-pilot-2.0.16-2.fc9.i386
gnome-devel-docs-2.22.0-1.fc9.noarch
libgnomecanvas-devel-2.20.1.1-2.fc9.i386
gnome-python2-applet-2.22.0-4.fc9.i386
gnome-audio-2.22.2-1.noarch
gnome-user-share-0.31-1.fc9.i386
gnome-mag-0.15.0-2.fc9.i386
gnome-doc-utils-0.12.2-1.fc9.noarch
gnome-python2-gconf-2.22.1-2.fc9.i386
gnome-vfsmm26-2.22.0-1.fc9.i386
gnome-phone-manager-0.51-1.fc9.i386
gnome-vfs2-devel-2.22.0-1.fc9.i386
gnome-python2-desktop-2.22.0-4.fc9.i386
gnome-keyring-devel-2.22.3-1.fc9.i386
PolicyKit-gnome-libs-0.8-4.fc9.i386
libgnomekbd-2.22.0-2.fc9.i386
gnome-themes-2.22.0-1.fc9.noarch
libgnomecups-0.2.3-3.fc9.i386
gnome-sharp-2.16.1-1.fc9.i386
libgail-gnome-1.20.0-2.fc9.i386
gnome-power-manager-2.22.1-1.fc9.i386
libgnomeui-devel-2.22.1-2.fc9.i386
gnome-terminal-2.22.2-1.fc9.i386
gnome-desktop-2.22.3-1.fc9.i386
bluez-gnome-0.26-1.fc9.i386
gnome-python2-gnomevfs-2.22.1-2.fc9.i386
gnome-python2-extras-2.19.1-17.fc9.i386
gnome-python2-gnomeprint-2.22.0-4.fc9.i386
gnome-build-0.2.4-1.fc9.i386
libgnomecanvasmm26-2.22.0-1.fc9.i386
gnome-vfs2-2.22.0-1.fc9.i386
gnome-utils-2.20.0.1-5.fc9.i386
libgnomeprintui22-devel-2.18.2-1.fc9.i386
gnome-panel-libs-2.22.2-2.fc9.i386
gnome-spell-1.0.8-5.fc9.i386
gnome-python2-canvas-2.22.1-2.fc9.i386
themes-backgrounds-gnome-0.4-6.fc6.noarch
gnome-desktop-devel-2.22.3-1.fc9.i386
libopenraw-gnome-0.0.5-1.fc9.i386
libgnomeprintui22-2.18.2-1.fc9.i386
gnome-mount-0.8-1.fc9.i386
gnome-vfs2-smb-2.22.0-1.fc9.i386
libgnome-devel-2.22.0-3.fc9.i386
gnome-user-docs-2.22.1-1.fc9.noarch
fedora-gnome-theme-8.0.0-2.fc9.noarch
gnome-menus-2.22.2-1.fc9.i386
NetworkManager-gnome-0.7.0-0.9.4.svn3675.fc9.i386
gnome-python2-libegg-2.19.1-17.fc9.i386
compiz-gnome-0.7.6-2.fc9.i386
gnome-panel-devel-2.22.2-2.fc9.i386
gnome-bluetooth-libs-0.11.0-3.fc9.i386
libgnomeprint22-devel-2.18.4-1.fc9.i386
gnome-system-monitor-2.22.3-1.fc9.i386
gnome-python2-bonobo-2.22.1-2.fc9.i386
gnome-settings-daemon-2.22.2.1-2.fc9.i386
libgnomemm26-2.22.0-1.i386
libgnomeuimm26-2.22.0-1.fc9.i386
gnome-backgrounds-2.22.0-1.fc9.noarch
gnome-speech-0.4.18-3.fc9.i386
gnome-netstatus-2.12.1-4.fc9.i386
gnome-bluetooth-0.11.0-3.fc9.i386
gnome-packagekit-0.2.5-2.fc9.i386
PolicyKit-gnome-0.8-4.fc9.i386
gnome-vfs2-obexftp-0.4-6.fc9.i386
compiz-fusion-gnome-0.7.6-1.fc9.i386
libgsf-gnome-1.14.8-1.fc9.i386
gnome-mime-data-2.18.0-2.fc7.noarch
gnome-icon-theme-2.22.0-6.fc9.noarch
libgnomeui-2.22.1-2.fc9.i386
gnome-screensaver-2.22.1-1.fc9.i386
gnome-pilot-devel-2.0.16-2.fc9.i386
gnome-keyring-2.22.3-1.fc9.i386
gnome-games-2.22.3-1.fc9.i386
gnome-session-2.22.3-1.fc9.i386
gnome-applets-2.22.3-1.fc9.i386
libgnomeprint22-2.18.4-1.fc9.i386
gnome-panel-2.22.2-2.fc9.i386
gnome-keyring-pam-2.22.3-1.fc9.i386
gnome-python2-gtkhtml2-2.19.1-17.fc9.i386
rss-glx-gnome-screensaver-0.8.1.p-20.fc9.i386
Comment 11 hernan 2008-09-10 19:11:58 EDT
Created attachment 316370 [details]
.dvi file for which this happens in my pc

I just tried to zoom in on the attached file using xdik and the pc stopped working. It just freezes.
Comment 12 hernan 2008-09-10 19:12:32 EDT
Created attachment 316371 [details]
this is the tex file that generates that dvi file
Comment 13 Jonathan Underwood 2008-09-10 20:04:24 EDT
OK, I took your dvi file and succesfully zoomed in and out, minimised xdvik, minimised firefox etc, and no crashes. The I regenerated the dvi from the .tex file, and same thing - no crashes.

The difference is though I have an x86_64 platform, not i386. and i have no access to i386. Nonetheless I still find it amazing it crashes the box. I could understand perhaps if xdvik segfaulted. But bringing down the whole box is very odd. Have you ran memtest on this box recently to test for hardware/memory problems?
Comment 14 hernan 2008-09-10 22:57:56 EDT
No since I switch to Fedora. How can I do that?
Comment 15 Jonathan Underwood 2008-09-11 16:27:35 EDT
as root:

yum install memtest86+
/usr/sbin/memtest-setup

now reboot. At the grub boot screen press a key to bring up the grub menu and select memtest from there.
Comment 16 Jonathan Underwood 2009-01-03 11:33:18 EST
Is this still an issue? I still can't reproduce (but am now on F-10).

Note You need to log in before you can comment on or make changes to this bug.